### Signal

# Gdk.Surface::render

#### Declaration

    gboolean
    render (
      GdkSurface self,
      const cairo_region_t* region,
      gpointer user_data
    )

#### Description [src]

Emitted when part of the surface needs to be redrawn.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`

#### Parameters

`region` | `const cairo_region_t*`
| the region that needs to be redrawn
| Ownership is not transferred to the callee

#### Return value

Returns: `gboolean`
`TRUE` to indicate that the signal has been handled